// VRML Generator
// Copyright Justin Couch 1996
//
// Chapter 25: Late Night VRML 2.0 and Java
//
// Shape class

package vlc.vrml.internal.geometry;

import java.io.PrintStream;
import vrml.*;
import vrml.field.*;
import vrml.node.Node;

abstract class Texture extends VrmlObject
{
	protected boolean	repeatS = true;
	protected boolean	repeatT = true;

	// Null constructor since you cannot create just a straight texture
	protected Texture()
	{
	}
	
	public void writeToFile(PrintStream fp, int indent)
	{
	}

	public boolean get_repeatS()
	{
		return(repeatS);
	}

	public boolean get_repeatT()
	{
		return(repeatT);
	}
}
